Skip to main content

Create Counterparty by Link

POST 

/v1/crossborder/clients/:client_id/counterparties/by-link

Create a new crossborder counterparty by link. The counterparty will be associated with the specified client.

Request

Path Parameters

    client_id stringrequired

    Unique identifier (UUID) of the client that will own this counterparty.

Header Parameters

    x-include-replay-protection-schema string

    The replay-protection-schema allows the user to choose between 3 options:

    • If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
    • 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
    • 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
    • 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

Body

required
    name stringrequired

    Full name of the client. Must be a valid string with maximum 80 characters. For legal entities, the name field corresponds to the legal name.

    type stringrequired

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Type of client entity. NATURAL_PERSON for individuals, LEGAL_PERSON for companies or organizations.

    email stringrequired

    Valid email address of the client. Used for communication and notifications. Maximum 255 characters.

Responses

Counterparty created by link successfully.

Schema
    id stringrequired

    Unique identifier (UUID) of the created counterparty.

    name stringrequired

    Full name of the counterparty. For legal entities, the name field corresponds to the legal name.

    type stringrequired

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Type of counterparty entity. NATURAL_PERSON for individuals, LEGAL_PERSON for companies or organizations.

    email stringrequired

    Email address of the counterparty.

    status stringrequired

    Possible values: [ACTIVE, INACTIVE, PENDING]

    Current status of the counterparty.

    external_url stringrequired

    External URL of the counterparty.

    created_at date-timerequired

    Counterparty created date.

    updated_at date-timerequired

    Counterparty updated date.

Loading...